> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Book



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Books/UpdateBook
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Books/UpdateBook:
    post:
      tags:
        - Books
      summary: Update Book
      operationId: UpdateBook
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiUpdateGroupDetailsRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiUpdateGroupDetailsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiUpdateGroupDetailsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiUpdateGroupDetailsRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiUpdateGroupDetailsResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiUpdateGroupDetailsRequest:
      example:
        is_active: true
        name: name
        new_name: new_name
        new_description: new_description
      properties:
        portfolio_type:
          enum:
            - derivitec
            - enfusion
            - not_set
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        new_name:
          nullable: true
          type: string
        new_description:
          nullable: true
          type: string
        is_active:
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Portfolios.ApiUpdateGroupDetailsRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiUpdateGroupDetailsResponse:
      required:
        - $type
      type: object
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Portfolios.ApiUpdateGroupDetailsResponse,
              Derivitec.Web.Core
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````